------ INICIALIZAR LA BD ------ 

-- BORRAR TRIGGERS
DROP TRIGGER TR_CONTADOR;
DROP TRIGGER TR_HIST_LECTURA;
DROP TRIGGER TR_HIST_ENER_PRODUCIDA;

-- BORRRAR TABLAS Y CONSTRAINTS
DROP TABLE CENTRAL_DISTRIBUCION CASCADE CONSTRAINTS;
DROP TABLE CENTRAL_PRODUCCION CASCADE CONSTRAINTS;
DROP TABLE CLIENTE CASCADE CONSTRAINTS;
DROP TABLE CONTADOR CASCADE CONSTRAINTS;
DROP TABLE CONTADOR_CENTRAL CASCADE CONSTRAINTS;
DROP TABLE CONTRATO CASCADE CONSTRAINTS;
DROP TABLE HIST_ENERGIA_EMITIDA CASCADE CONSTRAINTS;
DROP TABLE HIST_ENERGIA_PRODUCIDA CASCADE CONSTRAINTS;
DROP TABLE HIST_LECTURA CASCADE CONSTRAINTS;
DROP TABLE LINEA_COMUNICA CASCADE CONSTRAINTS;
DROP TABLE LOG CASCADE CONSTRAINTS;
DROP TABLE MODELO_CONTADOR CASCADE CONSTRAINTS;
DROP TABLE TIPO_CENTRAL CASCADE CONSTRAINTS;
DROP TABLE E1 CASCADE CONSTRAINTS;
DROP TABLE E2 CASCADE CONSTRAINTS;
DROP TABLE E3 CASCADE CONSTRAINTS;
DROP TABLE E4 CASCADE CONSTRAINTS;
DROP TABLE E5 CASCADE CONSTRAINTS;
DROP TABLE E6 CASCADE CONSTRAINTS;
DROP TABLE E7 CASCADE CONSTRAINTS;

-- BORRAR PROCEDURES ABM
DROP PROCEDURE p_central_distribucion_insert;
DROP PROCEDURE p_central_distribucion_update;
DROP PROCEDURE p_central_distribucion_delete;
DROP PROCEDURE p_central_produccion_insert;
DROP PROCEDURE p_central_produccion_update;
DROP PROCEDURE p_central_produccion_delete;
DROP PROCEDURE p_cliente_insert;
DROP PROCEDURE p_cliente_update;
DROP PROCEDURE p_cliente_delete;
DROP PROCEDURE p_contador_insert;
DROP PROCEDURE p_contador_update;
DROP PROCEDURE p_contador_delete;
DROP PROCEDURE p_contador_central_insert;
DROP PROCEDURE p_contador_central_delete;
DROP PROCEDURE p_contrato_insert;
DROP PROCEDURE p_contrato_update;
DROP PROCEDURE p_contrato_delete;
DROP PROCEDURE p_hist_energia_emitida_insert;
DROP PROCEDURE p_hist_energia_emitida_update;
DROP PROCEDURE p_hist_energia_emitida_delete;
DROP PROCEDURE p_hist_energia_prod_insert;
DROP PROCEDURE p_hist_energia_prod_update;
DROP PROCEDURE p_hist_energia_prod_delete;
DROP PROCEDURE p_hist_lectura_insert;
DROP PROCEDURE p_hist_lectura_update;
DROP PROCEDURE p_hist_lectura_delete;
DROP PROCEDURE p_linea_comunica_insert;
DROP PROCEDURE p_linea_comunica_update;
DROP PROCEDURE p_linea_comunica_delete;
DROP PROCEDURE p_log_insert;
DROP PROCEDURE p_modelo_contador_insert;
DROP PROCEDURE p_modelo_contador_update;
DROP PROCEDURE p_modelo_contador_delete;
DROP PROCEDURE p_tipo_central_insert;
DROP PROCEDURE p_tipo_central_update;
DROP PROCEDURE p_tipo_central_delete;

-- BORRAR PROCEDURES ESTADISTICAS
DROP PROCEDURE p_estadisticas;
DROP PROCEDURE p_e1_actualiza;
DROP PROCEDURE p_e2_actualiza;
DROP PROCEDURE p_e3_actualiza;
DROP PROCEDURE p_e4_actualiza;
DROP PROCEDURE p_e5_actualiza;
DROP PROCEDURE p_e6_actualiza;
DROP PROCEDURE p_e7_actualiza;
DROP PROCEDURE p_e1_listado;
DROP PROCEDURE p_e2_listado;
DROP PROCEDURE p_e3_listado;
DROP PROCEDURE p_e4_listado;
DROP PROCEDURE p_e5_listado;
DROP PROCEDURE p_e6_listado;
DROP PROCEDURE p_e7_listado;


-- BORRAR PROCEDURES CONSULTAS
DROP PROCEDURE p_contadores_80_porc_listado;
DROP PROCEDURE p_centrales_mas_energia;
DROP PROCEDURE p_lineas_mas_cargadas;
DROP PROCEDURE p_clientes_alta_disponibilidad;
DROP PROCEDURE p_central_produccion_consumo;
DROP PROCEDURE p_porc_lecturas;
DROP PROCEDURE p_contadores_antiguedad;


-- BORRAR SECUENCIAS
DROP SEQUENCE seq_cod_contador;
DROP SEQUENCE seq_cod_central_prod;
DROP SEQUENCE seq_cod_linea;
DROP SEQUENCE seq_cod_central_dist;
DROP SEQUENCE seq_tipo_central;
DROP SEQUENCE seq_cod_contrato;

-- BORRAR VISTAS MATERIALIZADAS
DROP MATERIALIZED VIEW HIST_ENERGIA_PROD_COPY
DROP MATERIALIZED VIEW HIST_LECTURA_COPY
