------ BORRA LOS DATOS DE LA BASE DE DATOS ------ 
-- Dejamos la BD vacia, preparada para una nueva entrada de datos

DELETE FROM E1;
DELETE FROM E2;
DELETE FROM E3;
DELETE FROM E4;
DELETE FROM E5;
DELETE FROM E6;
DELETE FROM E7;
DELETE FROM CENTRAL_DISTRIBUCION;
DELETE FROM CENTRAL_PRODUCCION;
DELETE FROM CLIENTE;
DELETE FROM CONTADOR;
DELETE FROM CONTADOR_CENTRAL;
DELETE FROM CONTRATO;
DELETE FROM HIST_ENERGIA_EMITIDA;
DELETE FROM HIST_ENERGIA_PRODUCIDA;
DELETE FROM HIST_LECTURA;
DELETE FROM LINEA_COMUNICA;
DELETE FROM LOG;
DELETE FROM MODELO_CONTADOR;
DELETE FROM TIPO_CENTRAL;

-- Borramos las secuencias
DROP SEQUENCE seq_cod_central_dist;
DROP SEQUENCE seq_cod_central_prod;
DROP SEQUENCE seq_cod_contador;
DROP SEQUENCE seq_cod_contrato;
DROP SEQUENCE seq_cod_linea;
DROP SEQUENCE seq_tipo_central;

-- Creamos de nuevo las secuencias
CREATE SEQUENCE SEQ_COD_CENTRAL_DIST INCREMENT BY 1 START WITH 1 MAXVALUE 999999999999 MINVALUE 1;
CREATE SEQUENCE SEQ_COD_CENTRAL_PROD INCREMENT BY 1 START WITH 1 MAXVALUE 999999999999 MINVALUE 1;
CREATE SEQUENCE SEQ_COD_CONTADOR INCREMENT BY 1 START WITH 1 MAXVALUE 999999999999 MINVALUE 1;
CREATE SEQUENCE SEQ_COD_CONTRATO INCREMENT BY 1 START WITH 1 MAXVALUE 999999999999 MINVALUE 1;
CREATE SEQUENCE SEQ_COD_LINEA INCREMENT BY 1 START WITH 1 MAXVALUE 999999999999 MINVALUE 1;
CREATE SEQUENCE SEQ_TIPO_CENTRAL INCREMENT BY 1 START WITH 1 MAXVALUE 9 MINVALUE 1;

