------------------------------------------
-- INSERTAR DATOS EN TABLA TIPO CENTRAL --
------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
p_tipo_central_insert ('NUCLEAR','Energa Mnima','Kg. Residuos',RSP);
p_tipo_central_insert ('TRMICA','Kg. CO2','',RSP);
p_tipo_central_insert ('CARBN','Kg. CO2','',RSP);
p_tipo_central_insert ('ELICA','Nmero de Molinos','',RSP);
p_tipo_central_insert ('SOLAR','Nmero de Paneles','',RSP);
commit;
END;
/
---------------------------------------------
-- INSERTAR DATOS EN TABLA MODELO CONTADOR --
---------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_modelo_contador_insert ('703','Weston Sight',1935,'standard casas tipo A',RSP);
	p_modelo_contador_insert ('718','Sekonic',2000,'standard casas tipo B',RSP);
	p_modelo_contador_insert ('704','Marumba',2009,'standard casas tipo D',RSP);
	p_modelo_contador_insert ('705','Cusco',2002,'standard casas tipo C',RSP);
	p_modelo_contador_insert ('706','Comel',2002,'standard casas tipo E',RSP);
	p_modelo_contador_insert ('707','Uox',2005,'standard casas tipo F',RSP);
	p_modelo_contador_insert ('708','Sekonic',1999,'standard casas tipo G',RSP);
	p_modelo_contador_insert ('709','Linx',1998,'standard casas tipo H',RSP);
	p_modelo_contador_insert ('710','Pilm',2001,'standard casas tipo I',RSP);
	p_modelo_contador_insert ('711','Oest suit',2001,'standard casas tipo J',RSP);
	p_modelo_contador_insert ('712','Paly Dadt',2002,'standard casas tipo K',RSP);
	p_modelo_contador_insert ('713','Yueld',1999,'standard casas tipo L',RSP);
	p_modelo_contador_insert ('714','Mamns',2008,'standard casas tipo M',RSP);
	p_modelo_contador_insert ('715','Quarzt',2001,'standard casas tipo N',RSP);
	p_modelo_contador_insert ('716','Uxosl',1999,'standard casas tipo O',RSP);
	p_modelo_contador_insert ('717','Qitubi',1998,'standard casas tipo P',RSP);
	commit;
END;
/
-------------------------------------
-- INSERTAR DATOS EN TABLA CLIENTE --
-------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_cliente_insert ('9999999R','Avda. Uno, 2','Madrid','Espaa','pedro.martinez@arsystel.com','912345678','Pedro Martinez','Pedro',RSP);
	p_cliente_insert ('8888888R','Avda. Dos, 1','Madrid','Espaa','concha.martinez@arsystel.com','918765432','Concha Martinez','Concha',RSP);
	p_cliente_insert ('B1111111','Avda. Tres, 3','Madrid','Espaa','martinez@martinez.com','910000000','Martinez_Martinez SA','PP',RSP);
	p_cliente_insert ('11111111A','Avda. Tres, 4','Barcelona','Espaa','europe@gmail.com','930000000','Europe Scence SA','Carme',RSP);
	p_cliente_insert ('2222222B','Avda. Cuatro, 4','Sevilla','Espaa','histeru@hotmail.com','910050000','Histeru Cables SA','Rodrigo',RSP);
	p_cliente_insert ('33333333C','Avda. Cinco, 5','Zaragoza','Espaa','Comel@gmail.com','976111122','Comel Soft SA','Santiago',RSP);
	p_cliente_insert ('4444444Z','Avda. Seis, 6','Madrid','Espaa','ingel@cepimenet.com','910050004','Ingel Brus SA','Marta',RSP);
	p_cliente_insert ('5555555Q','Avda. Siete, 7','Madrid','Espaa','miguel.hernandez@hibert.com','910050075','hibert','Miguel',RSP);
	p_cliente_insert ('6666666W','Avda. Ocho, 8','Madrid','Espaa','elena.palacios@hotmail.com','910050780','Elena Palacios','Elena',RSP);
	p_cliente_insert ('7777777E','Avda. nueve, 9','Madrid','Espaa','fernando.pique@ono.com','910057400','Fernando Pique','Fernando',RSP);
	p_cliente_insert ('B2222222','Avda. diez, 10','Madrid','Espaa','heraldo@heraldo.com','910057400','Heraldo de Madrid','Carlos',RSP);
	p_cliente_insert ('B3333333','Avda. once, 11','Madrid','Espaa','gob.madrid@diputa.com','910057405','Gobierno de Madrid','Ester',RSP);
	p_cliente_insert ('B4444444','Avda. doce, 12','Madrid','Espaa','felipe.osuna@cepimenet.com','910057408','Felipe Osuna SA','Felipe',RSP);
	p_cliente_insert ('B5555555','Avda. trece, 13','Barcelona','Espaa','entiende@gmail.com','930057400','Entiendelotodo SA','Javier',RSP);
	p_cliente_insert ('B6666666','Avda. catorce, 14','Barcelona','Espaa','maria.quilez@hotmail.com','932057400','Carpt SA','Maria',RSP);
commit;
END;
/
--------------------------------------
-- INSERTAR DATOS EN TABLA CONTADOR --
--------------------------------------

DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';

	p_contador_insert ('AVDA. UNO, 2','Madrid','Espaa',0,'718',RSP);
	p_contador_insert ('AVDA. DOS, 1','Madrid','Espaa',0,'703',RSP);
	p_contador_insert ('AVDA. TRES, 3','Madrid','Espaa',0,'718',RSP);
	p_contador_insert ('AVDA. CUATRO, 4','Madrid','Espaa',0,'705',RSP);
	p_contador_insert ('AVDA. CINCO, 5','Madrid','Espaa',0,'707',RSP);
	p_contador_insert ('AVDA. SEIS, 6','Madrid','Espaa',0,'709',RSP);
	p_contador_insert ('AVDA. SIETE, 7','Madrid','Espaa',0,'711',RSP);
	p_contador_insert ('AVDA. OCHO, 8','Madrid','Espaa',0,'713',RSP);
	p_contador_insert ('AVDA. NUEVE, 9','Madrid','Espaa',0,'714',RSP);
	p_contador_insert ('AVDA. DIEZ, 10','Madrid','Espaa',0,'715',RSP);
	p_contador_insert ('AVDA. UNO, 2','Barcelona','Espaa',0,'718',RSP);
	p_contador_insert ('AVDA. DOS, 1','Barcelona','Espaa',0,'703',RSP);
	p_contador_insert ('AVDA. TRES, 3','Barcelona','Espaa',0,'718',RSP);
	p_contador_insert ('AVDA. CUATRO, 4','Barcelona','Espaa',0,'705',RSP);
	p_contador_insert ('AVDA. CINCO, 5','Barcelona','Espaa',0,'707',RSP);
	p_contador_insert ('AVDA. SEIS, 6','Barcelona','Espaa',0,'709',RSP);
	p_contador_insert ('AVDA. SIETE, 7','Barcelona','Espaa',0,'711',RSP);
	p_contador_insert ('AVDA. OCHO, 8','Barcelona','Espaa',0,'713',RSP);
	p_contador_insert ('AVDA. NUEVE, 9','Barcelona','Espaa',0,'714',RSP);
	p_contador_insert ('AVDA. DIEZ, 10','Barcelona','Espaa',0,'715',RSP);
	p_contador_insert ('AVDA. UNO, 2','Sevilla','Espaa',0,'709',RSP);
	p_contador_insert ('AVDA. DOS, 1','Sevilla','Espaa',0,'710',RSP);
	p_contador_insert ('AVDA. TRES, 3','Sevilla','Espaa',0,'711',RSP);
	p_contador_insert ('AVDA. CUATRO, 4','Sevilla','Espaa',0,'712',RSP);
	p_contador_insert ('AVDA. CINCO, 5','Sevilla','Espaa',0,'713',RSP);
	p_contador_insert ('AVDA. SEIS, 6','Sevilla','Espaa',0,'714',RSP);
	p_contador_insert ('AVDA. SIETE, 7','Sevilla','Espaa',0,'715',RSP);
	p_contador_insert ('AVDA. OCHO, 8','Sevilla','Espaa',0,'716',RSP);
	p_contador_insert ('AVDA. NUEVE, 9','Sevilla','Espaa',0,'718',RSP);
	p_contador_insert ('AVDA. DIEZ, 10','Sevilla','Espaa',0,'717',RSP);
commit;
END;
/
------------------------------------------------
-- INSERTAR DATOS EN TABLA CENTRAL_PRODUCCION --
------------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_central_produccion_insert ('Avda. Fabrica 1','Alcal de Hen','Espaa',1000,'10/10/2010',3,3000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 2','Madrid','Espaa',2500,'10/12/201',4,250,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 3','Elche','Espaa',1450,'1/03/2012',5,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 4','Santiago','Espaa',4800,'5/11/2011',4,150,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 5','La Junquera','Espaa',2310,'6/04/2010',2,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 6','Bilbao','Espaa',9650,'10/07/2011',3,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 7','Zaragoza','Espaa',4580,'15/09/2010',5,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 8','Martorell','Espaa',4000,'10/02/2012',1,300,7400,rsp);
	p_central_produccion_insert ('Avda. Fabrica 9','Sevilla','Espaa',3000,'15/07/2011',4,100,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 10','Cadiz','Espaa',1250,'20/12/2010',2,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 1','Mataro','Espaa',7820,'25/01/2011',3,3000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 2','Barcelona','Espaa',13000,'21/10/2010',4,4000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 3','Lerida','Espaa',8560,'12/11/2009',5,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 4','Reus','Espaa',1200,'30/10/2010',4,250,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 5','Tarragona','Espaa',6500,'05/04/2012',1,250,9850,rsp);
	p_central_produccion_insert ('Avda. Fabrica 6','Gerona','Espaa',3520,'19/11/2010',3,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 7','Cabrils','Espaa',2300,'05/06/2011',2,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 8','Cornella','Espaa',1500,'25/04/2012',5,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 9','Lloret','Espaa',7500,'19/04/2010',2,5000,0,rsp);
	p_central_produccion_insert ('Avda. Fabrica 10','Igualada','Espaa',1500,'10/10/2010',1,5000,1500,rsp);	
	commit;
END;
/
--------------------------------------------
-- INSERTAR DATOS EN TABLA LINEA_COMUNICA --
--------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_linea_comunica_insert (1,1000,RSP);
	p_linea_comunica_insert (2,2000,RSP);
	p_linea_comunica_insert (3,3000,RSP);
	p_linea_comunica_insert (4,4000,RSP);
	p_linea_comunica_insert (5,5000,RSP);
	p_linea_comunica_insert (6,6000,RSP);
	p_linea_comunica_insert (7,7000,RSP);
	p_linea_comunica_insert (8,8000,RSP);
	p_linea_comunica_insert (9,9000,RSP);
	p_linea_comunica_insert (10,10000,RSP);
	p_linea_comunica_insert (11,11000,RSP);
	p_linea_comunica_insert (12,12000,RSP);
	p_linea_comunica_insert (13,13000,RSP);
	p_linea_comunica_insert (14,14000,RSP);
	p_linea_comunica_insert (15,15000,RSP);
	p_linea_comunica_insert (16,16000,RSP);
	p_linea_comunica_insert (17,17000,RSP);
	p_linea_comunica_insert (18,18000,RSP);
	p_linea_comunica_insert (19,19000,RSP);
	p_linea_comunica_insert (20,20000,RSP);
	p_linea_comunica_insert (1,21000,RSP);
	p_linea_comunica_insert (2,22000,RSP);
	p_linea_comunica_insert (3,23000,RSP);
	p_linea_comunica_insert (4,24000,RSP);
	p_linea_comunica_insert (5,25000,RSP);
	p_linea_comunica_insert (6,26000,RSP);
	p_linea_comunica_insert (7,27000,RSP);
	p_linea_comunica_insert (8,28000,RSP);
	p_linea_comunica_insert (9,29000,RSP);
	p_linea_comunica_insert (10,30000,RSP);
	p_linea_comunica_insert (1,31000,RSP);
	p_linea_comunica_insert (2,32000,RSP);
	p_linea_comunica_insert (3,33000,RSP);
	p_linea_comunica_insert (4,34000,RSP);
	p_linea_comunica_insert (5,35000,RSP);
	p_linea_comunica_insert (6,36000,RSP);
	p_linea_comunica_insert (7,37000,RSP);
	p_linea_comunica_insert (8,38000,RSP);
	p_linea_comunica_insert (9,39000,RSP);
	p_linea_comunica_insert (10,40000,RSP);

commit;
END;
/
--------------------------------------------------
-- INSERTAR DATOS EN TABLA CENTRAL_DISTRIBUCION --
--------------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 1','Guadalajara','Espaa',1,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 2','Vigo','Espaa',2,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 3','Orense','Espaa',4,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 4','Pontevedra','Espaa',3,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 5','Santiago','Espaa',5,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 6','La Corua','Espaa',6,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 7','Badajoz','Espaa',7,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 8','Cadiz','Espaa',8,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 9','Malaga','Espaa',9,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 10','Cordoba','Espaa',10,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 11','Sevilla','Espaa',11,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 12','Jaen','Espaa',12,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 13','Murcia','Espaa',13,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 14','Valladolid','Espaa',14,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 15','Leon','Espaa',15,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 16','Cuenca','Espaa',16,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 17','Palencia','Espaa',17,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 18','Soria','Espaa',18,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 19','Madrid','Espaa',19,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 20','Zaragoza','Espaa',20,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 21','Huesca','Espaa',21,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 22','Teruel','Espaa',22,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 23','Sabianigo','Espaa',23,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 24','Albarracin','Espaa',24,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 25','Valencia','Espaa',25,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 26','Alicante','Espaa',26,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 27','Gijon','Espaa',27,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 28','Gerona','Espaa',28,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 29','Barcelona','Espaa',29,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 30','Tarragona','Espaa',30,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 1','Lerida','Espaa',31,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 2','Lloret','Espaa',32,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 3','Peiscola','Espaa',33,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 4','Sallent','Espaa',34,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 5','Urrea','Espaa',35,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 6','Plasencia','Espaa',36,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 7','Alcala','Espaa',37,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 8','Ronda','Espaa',38,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 9','Jerez','Espaa',39,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 10','Marbella','Espaa',1,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 11','Tenerife','Espaa',40,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 12','Mallorca','Espaa',2,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 13','Ibiza','Espaa',3,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 14','Cartagena','Espaa',4,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 15','Almeria','Espaa',5,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 16','San Sebastian','Espaa',6,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 17','Toledo','Espaa',7,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 18','Pamplona','Espaa',8,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 19','Salamanca','Espaa',9,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 20','Oviedo','Espaa',10,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 21','Badalona','Espaa',1,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 22','Daroca','Espaa',3,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 23','Figueres','Espaa',2,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 24','Estepona','Espaa',4,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 25','Nerja','Espaa',5,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 26','Zamora','Espaa',6,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 27','Yesa','Espaa',7,3000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 28','Roncal','Espaa',8,1000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 29','Mar','Espaa',9,2000,'10/10/2010',RSP);
	p_central_DISTRIBUCION_insert ('Avda. Distribucin 30','Osuna','Espaa',10,3000,'10/10/2010',RSP);
commit;
END;
/
----------------------------------------------
-- INSERTAR DATOS EN TABLA CONTADOR_CENTRAL --
----------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_contador_central_insert (1,1,rsp);
	p_contador_central_insert (2,2,rsp);
	p_contador_central_insert (3,3,rsp);
	p_contador_central_insert (4,4,rsp);
	p_contador_central_insert (5,5,rsp);
	p_contador_central_insert (6,6,rsp);
	p_contador_central_insert (7,7,rsp);
	p_contador_central_insert (8,8,rsp);
	p_contador_central_insert (9,9,rsp);
	p_contador_central_insert (10,10,rsp);
	p_contador_central_insert (11,11,rsp);
	p_contador_central_insert (12,12,rsp);
	p_contador_central_insert (13,13,rsp);
	p_contador_central_insert (14,14,rsp);
	p_contador_central_insert (15,15,rsp);
	p_contador_central_insert (16,16,rsp);
	p_contador_central_insert (17,17,rsp);
	p_contador_central_insert (18,18,rsp);
	p_contador_central_insert (19,19,rsp);
	p_contador_central_insert (20,20,rsp);
	p_contador_central_insert (21,21,rsp);
	p_contador_central_insert (22,22,rsp);
	p_contador_central_insert (23,23,rsp);
	p_contador_central_insert (24,24,rsp);
	p_contador_central_insert (25,25,rsp);
	p_contador_central_insert (26,26,rsp);
	p_contador_central_insert (27,27,rsp);
	p_contador_central_insert (28,28,rsp);
	p_contador_central_insert (29,29,rsp);
	p_contador_central_insert (30,30,rsp);	
	p_contador_central_insert (1,31,rsp);
	p_contador_central_insert (2,32,rsp);
	p_contador_central_insert (3,33,rsp);
	p_contador_central_insert (4,34,rsp);
	p_contador_central_insert (5,35,rsp);
	p_contador_central_insert (6,36,rsp);
	p_contador_central_insert (7,37,rsp);
	p_contador_central_insert (8,38,rsp);
	p_contador_central_insert (9,39,rsp);
	p_contador_central_insert (10,40,rsp);
	p_contador_central_insert (11,41,rsp);
	p_contador_central_insert (12,42,rsp);
	p_contador_central_insert (13,43,rsp);
	p_contador_central_insert (14,44,rsp);
	p_contador_central_insert (15,45,rsp);	
	p_contador_central_insert (1,46,rsp);
	p_contador_central_insert (2,47,rsp);
	p_contador_central_insert (3,48,rsp);
	p_contador_central_insert (4,49,rsp);
	p_contador_central_insert (5,50,rsp);
	p_contador_central_insert (6,51,rsp);
	p_contador_central_insert (7,52,rsp);
	p_contador_central_insert (8,53,rsp);
	p_contador_central_insert (9,54,rsp);
	p_contador_central_insert (10,55,rsp);
	p_contador_central_insert (11,56,rsp);
	p_contador_central_insert (12,57,rsp);
	p_contador_central_insert (13,58,rsp);
	p_contador_central_insert (14,59,rsp);
	p_contador_central_insert (15,60,rsp);
	
	commit;
END;
/
--------------------------------------
-- INSERTAR DATOS EN TABLA CONTRATO --
--------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	P_CONTRATO_INSERT ('9999999R',1,'01/01/2012', NULL, 10, RSP);
	P_CONTRATO_INSERT ('8888888R',2,'01/01/2012',NULL, 15,RSP);
	P_CONTRATO_INSERT ('B1111111',3,'01/01/2012',NULL, 7,RSP);
	P_CONTRATO_INSERT ('11111111A',4,'01/01/2012', NULL, 10, RSP);
	P_CONTRATO_INSERT ('2222222B',5,'01/01/2012',NULL, 15,RSP);
	P_CONTRATO_INSERT ('33333333C',6,'01/01/2012',NULL, 7,RSP);
	P_CONTRATO_INSERT ('4444444Z',7,'01/01/2012', NULL, 10, RSP);
	P_CONTRATO_INSERT ('5555555Q',8,'01/01/2012',NULL, 15,RSP);
	P_CONTRATO_INSERT ('6666666W',9,'01/01/2012',NULL, 7,RSP);
	P_CONTRATO_INSERT ('7777777E',10,'01/01/2012', NULL, 10, RSP);
	P_CONTRATO_INSERT ('B2222222',11,'01/01/2012',NULL, 15,RSP);
	P_CONTRATO_INSERT ('B3333333',12,'01/01/2012',NULL, 7,RSP);
	P_CONTRATO_INSERT ('B3333333',13,'01/01/2012', NULL, 10, RSP);
	P_CONTRATO_INSERT ('B5555555',14,'01/01/2012',NULL, 15,RSP);
	P_CONTRATO_INSERT ('B6666666',15,'01/01/2012',NULL, 7,RSP);
	
	P_CONTRATO_INSERT ('9999999R',16,'01/01/2011', '31/12/2011', 10, RSP);
	P_CONTRATO_INSERT ('8888888R',17,'01/01/2011','31/12/2011', 15,RSP);
	P_CONTRATO_INSERT ('B1111111',18,'01/01/2011','31/12/2011', 7,RSP);
	P_CONTRATO_INSERT ('11111111A',19,'01/01/2011', '31/12/2011', 10, RSP);
	P_CONTRATO_INSERT ('2222222B',20,'01/01/2011','31/12/2011', 15,RSP);
	P_CONTRATO_INSERT ('33333333C',21,'01/01/2011','31/12/2011', 7,RSP);
	P_CONTRATO_INSERT ('4444444Z',22,'01/01/2011', '31/12/2011', 10, RSP);
	P_CONTRATO_INSERT ('5555555Q',23,'01/01/2011','31/12/2011', 15,RSP);
	P_CONTRATO_INSERT ('6666666W',24,'01/01/2011','31/12/2011', 7,RSP);
	P_CONTRATO_INSERT ('7777777E',25,'01/01/2011', '31/12/2011', 10, RSP);
	P_CONTRATO_INSERT ('B2222222',26,'01/01/2011','31/12/2011', 15,RSP);
	P_CONTRATO_INSERT ('B3333333',27,'01/01/2011','31/12/2011', 7,RSP);
	P_CONTRATO_INSERT ('B3333333',28,'01/01/2011', '31/12/2011', 10, RSP);
	P_CONTRATO_INSERT ('B5555555',29,'01/01/2011','31/12/2011', 15,RSP);
	P_CONTRATO_INSERT ('B6666666',30,'01/01/2011','31/12/2011', 7,RSP);
	
	commit;
END;
/
------------------------------------------
-- INSERTAR DATOS EN TABLA HIST_LECTURA --
------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_hist_lectura_insert (1,'01/01/2012',11.2,'P',rsp);
	p_hist_lectura_insert (2,'01/01/2012',130,'P',rsp);
	p_hist_lectura_insert (3,'01/01/2012',14,'P',rsp);
	p_hist_lectura_insert (4,'01/01/2012',12,'P',rsp);
	p_hist_lectura_insert (5,'01/01/2012',134.41,'P',rsp);
	p_hist_lectura_insert (6,'01/01/2012',14,'T',rsp);
	p_hist_lectura_insert (7,'01/01/2012',12,'P',rsp);
	p_hist_lectura_insert (8,'01/01/2012',13,'P',rsp);
	p_hist_lectura_insert (9,'01/01/2012',42.4,'P',rsp);
	p_hist_lectura_insert (10,'01/01/2012',12,'P',rsp);
	p_hist_lectura_insert (11,'01/01/2012',13,'P',rsp);
	p_hist_lectura_insert (12,'01/01/2012',41.02,'P',rsp);
	p_hist_lectura_insert (13,'01/01/2012',12,'P',rsp);
	p_hist_lectura_insert (14,'01/01/2012',21.02,'P',rsp);
	p_hist_lectura_insert (15,'01/01/2012',14,'P',rsp);
	
	p_hist_lectura_insert (1,'01/02/2012',12,'P',rsp);
	p_hist_lectura_insert (2,'01/02/2012',96.20,'P',rsp);
	p_hist_lectura_insert (3,'01/02/2012',14,'P',rsp);
	p_hist_lectura_insert (4,'01/02/2012',12,'T',rsp);
	p_hist_lectura_insert (5,'01/02/2012',21.20,'P',rsp);
	p_hist_lectura_insert (6,'01/02/2012',14,'P',rsp);
	p_hist_lectura_insert (7,'01/02/2012',12,'P',rsp);
	p_hist_lectura_insert (8,'01/02/2012',98.3,'P',rsp);
	p_hist_lectura_insert (9,'01/02/2012',14,'P',rsp);
	p_hist_lectura_insert (10,'01/02/2012',41.14,'P',rsp);
	p_hist_lectura_insert (11,'01/02/2012',13,'P',rsp);
	p_hist_lectura_insert (12,'01/02/2012',14.32,'P',rsp);
	p_hist_lectura_insert (13,'01/02/2012',12,'P',rsp);
	p_hist_lectura_insert (14,'01/02/2012',33.2,'T',rsp);
	p_hist_lectura_insert (15,'01/02/2012',14,'P',rsp);
	
	p_hist_lectura_insert (1,'01/03/2012',1,'P',rsp);
	p_hist_lectura_insert (2,'01/03/2012',13,'P',rsp);
	p_hist_lectura_insert (3,'01/03/2012',14,'P',rsp);
	p_hist_lectura_insert (4,'01/03/2012',12,'T',rsp);
	p_hist_lectura_insert (5,'01/03/2012',13,'T',rsp);
	p_hist_lectura_insert (6,'01/03/2012',5,'T',rsp);
	p_hist_lectura_insert (7,'01/03/2012',12,'P',rsp);
	p_hist_lectura_insert (8,'01/03/2012',13,'P',rsp);
	p_hist_lectura_insert (9,'01/03/2012',41,'P',rsp);
	p_hist_lectura_insert (10,'01/03/2012',12,'P',rsp);
	p_hist_lectura_insert (11,'01/03/2012',13,'P',rsp);
	p_hist_lectura_insert (12,'01/03/2012',14,'P',rsp);
	p_hist_lectura_insert (13,'01/03/2012',44.01,'P',rsp);
	p_hist_lectura_insert (14,'01/03/2012',13,'P',rsp);
	p_hist_lectura_insert (15,'01/03/2012',14,'P',rsp);
	
	p_hist_lectura_insert (1,'01/04/2012',12.02,'P',rsp);
	p_hist_lectura_insert (2,'01/04/2012',13.98,'P',rsp);
	p_hist_lectura_insert (3,'01/04/2012',14,'T',rsp);
	p_hist_lectura_insert (4,'01/04/2012',12.10,'T',rsp);
	p_hist_lectura_insert (5,'01/04/2012',85,'P',rsp);
	p_hist_lectura_insert (6,'01/04/2012',14,'P',rsp);
	p_hist_lectura_insert (7,'01/04/2012',12,'P',rsp);
	p_hist_lectura_insert (8,'01/04/2012',65,'P',rsp);
	p_hist_lectura_insert (9,'01/04/2012',14,'P',rsp);
	p_hist_lectura_insert (10,'01/04/2012',12,'P',rsp);
	p_hist_lectura_insert (11,'01/04/2012',45,'P',rsp);
	p_hist_lectura_insert (12,'01/04/2012',14,'P',rsp);
	p_hist_lectura_insert (13,'01/04/2012',12,'P',rsp);
	p_hist_lectura_insert (14,'01/04/2012',45,'P',rsp);
	p_hist_lectura_insert (15,'01/04/2012',14,'P',rsp);
	
	--
	
	p_hist_lectura_insert (16,'01/01/2011',0.2,'P',rsp);
	p_hist_lectura_insert (17,'01/01/2011',10,'P',rsp);
	p_hist_lectura_insert (18,'01/01/2011',154,'P',rsp);
	p_hist_lectura_insert (19,'01/01/2011',125,'P',rsp);
	p_hist_lectura_insert (20,'01/01/2011',13.41,'P',rsp);
	p_hist_lectura_insert (21,'01/01/2011',141,'T',rsp);
	p_hist_lectura_insert (22,'01/01/2011',212,'P',rsp);
	p_hist_lectura_insert (23,'01/01/2011',1,'P',rsp);
	p_hist_lectura_insert (24,'01/01/2011',142.4,'P',rsp);
	p_hist_lectura_insert (25,'01/01/2011',112,'P',rsp);
	p_hist_lectura_insert (26,'01/01/2011',3,'P',rsp);
	p_hist_lectura_insert (27,'01/01/2011',541.02,'P',rsp);
	p_hist_lectura_insert (28,'01/01/2011',122,'P',rsp);
	p_hist_lectura_insert (29,'01/01/2011',201.02,'P',rsp);
	p_hist_lectura_insert (30,'01/01/2011',114,'P',rsp);
	
	p_hist_lectura_insert (16,'01/02/2011',12,'P',rsp);
	p_hist_lectura_insert (17,'01/02/2011',96.20,'P',rsp);
	p_hist_lectura_insert (18,'01/02/2011',14,'P',rsp);
	p_hist_lectura_insert (19,'01/02/2011',12,'T',rsp);
	p_hist_lectura_insert (20,'01/02/2011',21.20,'P',rsp);
	p_hist_lectura_insert (21,'01/02/2011',14,'P',rsp);
	p_hist_lectura_insert (22,'01/02/2011',12,'P',rsp);
	p_hist_lectura_insert (23,'01/02/2011',98.3,'P',rsp);
	p_hist_lectura_insert (24,'01/02/2011',14,'P',rsp);
	p_hist_lectura_insert (25,'01/02/2011',41.14,'P',rsp);
	p_hist_lectura_insert (26,'01/02/2011',13,'P',rsp);
	p_hist_lectura_insert (27,'01/02/2011',14.32,'P',rsp);
	p_hist_lectura_insert (28,'01/02/2011',12,'P',rsp);
	p_hist_lectura_insert (29,'01/02/2011',33.2,'T',rsp);
	p_hist_lectura_insert (30,'01/02/2011',14,'P',rsp);
	
	p_hist_lectura_insert (16,'01/03/2011',1,'P',rsp);
	p_hist_lectura_insert (17,'01/03/2011',13,'P',rsp);
	p_hist_lectura_insert (18,'01/03/2011',14,'P',rsp);
	p_hist_lectura_insert (19,'01/03/2011',12,'T',rsp);
	p_hist_lectura_insert (20,'01/03/2011',13,'T',rsp);
	p_hist_lectura_insert (21,'01/03/2011',5,'T',rsp);
	p_hist_lectura_insert (22,'01/03/2011',12,'P',rsp);
	p_hist_lectura_insert (23,'01/03/2011',13,'P',rsp);
	p_hist_lectura_insert (24,'01/03/2011',41,'P',rsp);
	p_hist_lectura_insert (25,'01/03/2011',12,'P',rsp);
	p_hist_lectura_insert (26,'01/03/2011',13,'P',rsp);
	p_hist_lectura_insert (27,'01/03/2011',14,'P',rsp);
	p_hist_lectura_insert (28,'01/03/2011',44.01,'P',rsp);
	p_hist_lectura_insert (29,'01/03/2011',13,'P',rsp);
	p_hist_lectura_insert (30,'01/03/2011',14,'P',rsp);
	
	p_hist_lectura_insert (16,'01/04/2011',12.02,'P',rsp);
	p_hist_lectura_insert (17,'01/04/2011',13.98,'P',rsp);
	p_hist_lectura_insert (18,'01/04/2011',14,'T',rsp);
	p_hist_lectura_insert (19,'01/04/2011',12.10,'T',rsp);
	p_hist_lectura_insert (20,'01/04/2011',85,'P',rsp);
	p_hist_lectura_insert (21,'01/04/2011',14,'P',rsp);
	p_hist_lectura_insert (22,'01/04/2011',12,'P',rsp);
	p_hist_lectura_insert (23,'01/04/2011',65,'P',rsp);
	p_hist_lectura_insert (24,'01/04/2011',14,'P',rsp);
	p_hist_lectura_insert (25,'01/04/2011',12,'P',rsp);
	p_hist_lectura_insert (26,'01/04/2011',45,'P',rsp);
	p_hist_lectura_insert (27,'01/04/2011',14,'P',rsp);
	p_hist_lectura_insert (28,'01/04/2011',12,'P',rsp);
	p_hist_lectura_insert (29,'01/04/2011',45,'P',rsp);
	p_hist_lectura_insert (30,'01/04/2011',14,'P',rsp);
	
	commit;
END;
/
--------------------------------------------------
-- INSERTAR DATOS EN TABLA HIST_ENERGIA_EMITIDA --
--------------------------------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';

	p_hist_energia_emitida_insert (1,'25/01/2012',500,RSP); 
	p_hist_energia_emitida_insert (2,'25/01/2012',1000,RSP);
	p_hist_energia_emitida_insert (3,'25/01/2012',1500,RSP); 
	p_hist_energia_emitida_insert (4,'25/01/2012',2000,RSP);
	p_hist_energia_emitida_insert (5,'25/01/2012',2500,RSP); 
	p_hist_energia_emitida_insert (6,'25/01/2012',3000,RSP);
	p_hist_energia_emitida_insert (7,'25/01/2012',3500,RSP); 
	p_hist_energia_emitida_insert (8,'25/01/2012',4000,RSP);
	p_hist_energia_emitida_insert (9,'25/01/2012',500,RSP); 
	p_hist_energia_emitida_insert (10,'25/01/2012',1000,RSP);
	p_hist_energia_emitida_insert (11,'25/01/2012',1500,RSP); 
	p_hist_energia_emitida_insert (12,'25/01/2012',2000,RSP);
	p_hist_energia_emitida_insert (13,'25/01/2012',2500,RSP); 
	p_hist_energia_emitida_insert (14,'25/01/2012',3000,RSP);
	p_hist_energia_emitida_insert (15,'25/01/2012',125,RSP); 
	p_hist_energia_emitida_insert (16,'25/01/2012',1050,RSP);
	p_hist_energia_emitida_insert (17,'25/01/2012',1780,RSP); 
	p_hist_energia_emitida_insert (18,'25/01/2012',8500,RSP);
	p_hist_energia_emitida_insert (19,'25/01/2012',6500,RSP); 
	p_hist_energia_emitida_insert (20,'25/01/2012',9600,RSP);
	p_hist_energia_emitida_insert (21,'25/01/2012',1700,RSP); 
	p_hist_energia_emitida_insert (22,'25/01/2012',12500,RSP);
	p_hist_energia_emitida_insert (23,'25/01/2012',19800,RSP); 
	p_hist_energia_emitida_insert (24,'25/01/2012',7540,RSP);
	p_hist_energia_emitida_insert (25,'25/01/2012',3650,RSP); 
	p_hist_energia_emitida_insert (26,'25/01/2012',1980,RSP);
	p_hist_energia_emitida_insert (27,'25/01/2012',4440,RSP); 
	p_hist_energia_emitida_insert (28,'25/01/2012',9870,RSP);
	p_hist_energia_emitida_insert (29,'25/01/2012',15250,RSP); 
	p_hist_energia_emitida_insert (30,'25/01/2012',10,RSP);
	p_hist_energia_emitida_insert (31,'25/01/2012',100,RSP); 
	p_hist_energia_emitida_insert (32,'25/01/2012',1888,RSP);
	p_hist_energia_emitida_insert (33,'25/01/2012',7500,RSP); 
	p_hist_energia_emitida_insert (34,'25/01/2012',450,RSP);
	p_hist_energia_emitida_insert (35,'25/01/2012',4400,RSP); 
	p_hist_energia_emitida_insert (36,'25/01/2012',12500,RSP);
	p_hist_energia_emitida_insert (37,'25/01/2012',9850,RSP); 
	p_hist_energia_emitida_insert (38,'25/01/2012',12580,RSP);
	p_hist_energia_emitida_insert (39,'25/01/2012',8,RSP); 
	p_hist_energia_emitida_insert (40,'25/01/2012',7450,RSP);
	p_hist_energia_emitida_insert (41,'25/01/2012',450,RSP); 
	p_hist_energia_emitida_insert (42,'25/01/2012',1780,RSP);
	p_hist_energia_emitida_insert (43,'25/01/2012',32500,RSP); 
	p_hist_energia_emitida_insert (44,'25/01/2012',1960,RSP);
	p_hist_energia_emitida_insert (45,'25/01/2012',1850,RSP); 
	p_hist_energia_emitida_insert (46,'25/01/2012',4250,RSP);
	p_hist_energia_emitida_insert (47,'25/01/2012',440,RSP); 
	p_hist_energia_emitida_insert (48,'25/01/2012',4500,RSP);
	p_hist_energia_emitida_insert (49,'25/01/2012',8900,RSP); 
	p_hist_energia_emitida_insert (50,'25/01/2012',45200,RSP);
	p_hist_energia_emitida_insert (51,'25/01/2012',740,RSP); 
	p_hist_energia_emitida_insert (52,'25/01/2012',9600,RSP);
	p_hist_energia_emitida_insert (53,'25/01/2012',452200,RSP); 
	p_hist_energia_emitida_insert (54,'25/01/2012',152,RSP);
	p_hist_energia_emitida_insert (55,'25/01/2012',1960,RSP); 
	p_hist_energia_emitida_insert (56,'25/01/2012',410,RSP);
	p_hist_energia_emitida_insert (57,'25/01/2012',89600,RSP); 
	p_hist_energia_emitida_insert (58,'25/01/2012',410,RSP);
	p_hist_energia_emitida_insert (59,'25/01/2012',9600,RSP); 
	p_hist_energia_emitida_insert (60,'25/01/2012',85400,RSP);
	
	--
	
	p_hist_energia_emitida_insert (1,'25/02/2012',500,RSP); 
p_hist_energia_emitida_insert (2,'25/02/2012',1000,RSP);
p_hist_energia_emitida_insert (3,'25/02/2012',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/02/2012',2000,RSP);
p_hist_energia_emitida_insert (5,'25/02/2012',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/02/2012',3000,RSP);
p_hist_energia_emitida_insert (7,'25/02/2012',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/02/2012',4000,RSP);
p_hist_energia_emitida_insert (9,'25/02/2012',500,RSP); 
p_hist_energia_emitida_insert (10,'25/02/2012',1000,RSP);
p_hist_energia_emitida_insert (11,'25/02/2012',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/02/2012',2000,RSP);
p_hist_energia_emitida_insert (13,'25/02/2012',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/02/2012',3000,RSP);
p_hist_energia_emitida_insert (15,'25/02/2012',125,RSP); 
p_hist_energia_emitida_insert (16,'25/02/2012',1050,RSP);
p_hist_energia_emitida_insert (17,'25/02/2012',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/02/2012',8500,RSP);
p_hist_energia_emitida_insert (19,'25/02/2012',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/02/2012',9600,RSP);
p_hist_energia_emitida_insert (21,'25/02/2012',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/02/2012',12500,RSP);
p_hist_energia_emitida_insert (23,'25/02/2012',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/02/2012',7540,RSP);
p_hist_energia_emitida_insert (25,'25/02/2012',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/02/2012',1980,RSP);
p_hist_energia_emitida_insert (27,'25/02/2012',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/02/2012',9870,RSP);
p_hist_energia_emitida_insert (29,'25/02/2012',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/02/2012',10,RSP);
p_hist_energia_emitida_insert (31,'25/02/2012',100,RSP); 
p_hist_energia_emitida_insert (32,'25/02/2012',1888,RSP);
p_hist_energia_emitida_insert (33,'25/02/2012',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/02/2012',450,RSP);
p_hist_energia_emitida_insert (35,'25/02/2012',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/02/2012',12500,RSP);
p_hist_energia_emitida_insert (37,'25/02/2012',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/02/2012',12580,RSP);
p_hist_energia_emitida_insert (39,'25/02/2012',8,RSP); 
p_hist_energia_emitida_insert (40,'25/02/2012',7450,RSP);
p_hist_energia_emitida_insert (41,'25/02/2012',450,RSP); 
p_hist_energia_emitida_insert (42,'25/02/2012',1780,RSP);
p_hist_energia_emitida_insert (43,'25/02/2012',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/02/2012',1960,RSP);
p_hist_energia_emitida_insert (45,'25/02/2012',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/02/2012',4250,RSP);
p_hist_energia_emitida_insert (47,'25/02/2012',440,RSP); 
p_hist_energia_emitida_insert (48,'25/02/2012',4500,RSP);
p_hist_energia_emitida_insert (49,'25/02/2012',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/02/2012',45200,RSP);
p_hist_energia_emitida_insert (51,'25/02/2012',740,RSP); 
p_hist_energia_emitida_insert (52,'25/02/2012',9600,RSP);
p_hist_energia_emitida_insert (53,'25/02/2012',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/02/2012',152,RSP);
p_hist_energia_emitida_insert (55,'25/02/2012',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/02/2012',410,RSP);
p_hist_energia_emitida_insert (57,'25/02/2012',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/02/2012',410,RSP);
p_hist_energia_emitida_insert (59,'25/02/2012',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/02/2012',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/03/2012',500,RSP); 
p_hist_energia_emitida_insert (2,'25/03/2012',1000,RSP);
p_hist_energia_emitida_insert (3,'25/03/2012',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/03/2012',2000,RSP);
p_hist_energia_emitida_insert (5,'25/03/2012',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/03/2012',3000,RSP);
p_hist_energia_emitida_insert (7,'25/03/2012',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/03/2012',4000,RSP);
p_hist_energia_emitida_insert (9,'25/03/2012',500,RSP); 
p_hist_energia_emitida_insert (10,'25/03/2012',1000,RSP);
p_hist_energia_emitida_insert (11,'25/03/2012',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/03/2012',2000,RSP);
p_hist_energia_emitida_insert (13,'25/03/2012',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/03/2012',3000,RSP);
p_hist_energia_emitida_insert (15,'25/03/2012',125,RSP); 
p_hist_energia_emitida_insert (16,'25/03/2012',1050,RSP);
p_hist_energia_emitida_insert (17,'25/03/2012',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/03/2012',8500,RSP);
p_hist_energia_emitida_insert (19,'25/03/2012',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/03/2012',9600,RSP);
p_hist_energia_emitida_insert (21,'25/03/2012',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/03/2012',12500,RSP);
p_hist_energia_emitida_insert (23,'25/03/2012',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/03/2012',7540,RSP);
p_hist_energia_emitida_insert (25,'25/03/2012',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/03/2012',1980,RSP);
p_hist_energia_emitida_insert (27,'25/03/2012',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/03/2012',9870,RSP);
p_hist_energia_emitida_insert (29,'25/03/2012',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/03/2012',10,RSP);
p_hist_energia_emitida_insert (31,'25/03/2012',100,RSP); 
p_hist_energia_emitida_insert (32,'25/03/2012',1888,RSP);
p_hist_energia_emitida_insert (33,'25/03/2012',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/03/2012',450,RSP);
p_hist_energia_emitida_insert (35,'25/03/2012',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/03/2012',12500,RSP);
p_hist_energia_emitida_insert (37,'25/03/2012',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/03/2012',12580,RSP);
p_hist_energia_emitida_insert (39,'25/03/2012',8,RSP); 
p_hist_energia_emitida_insert (40,'25/03/2012',7450,RSP);
p_hist_energia_emitida_insert (41,'25/03/2012',450,RSP); 
p_hist_energia_emitida_insert (42,'25/03/2012',1780,RSP);
p_hist_energia_emitida_insert (43,'25/03/2012',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/03/2012',1960,RSP);
p_hist_energia_emitida_insert (45,'25/03/2012',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/03/2012',4250,RSP);
p_hist_energia_emitida_insert (47,'25/03/2012',440,RSP); 
p_hist_energia_emitida_insert (48,'25/03/2012',4500,RSP);
p_hist_energia_emitida_insert (49,'25/03/2012',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/03/2012',45200,RSP);
p_hist_energia_emitida_insert (51,'25/03/2012',740,RSP); 
p_hist_energia_emitida_insert (52,'25/03/2012',9600,RSP);
p_hist_energia_emitida_insert (53,'25/03/2012',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/03/2012',152,RSP);
p_hist_energia_emitida_insert (55,'25/03/2012',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/03/2012',410,RSP);
p_hist_energia_emitida_insert (57,'25/03/2012',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/03/2012',410,RSP);
p_hist_energia_emitida_insert (59,'25/03/2012',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/03/2012',85400,RSP);


--

p_hist_energia_emitida_insert (1,'25/04/2012',500,RSP); 
p_hist_energia_emitida_insert (2,'25/04/2012',1000,RSP);
p_hist_energia_emitida_insert (3,'25/04/2012',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/04/2012',2000,RSP);
p_hist_energia_emitida_insert (5,'25/04/2012',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/04/2012',3000,RSP);
p_hist_energia_emitida_insert (7,'25/04/2012',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/04/2012',4000,RSP);
p_hist_energia_emitida_insert (9,'25/04/2012',500,RSP); 
p_hist_energia_emitida_insert (10,'25/04/2012',1000,RSP);
p_hist_energia_emitida_insert (11,'25/04/2012',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/04/2012',2000,RSP);
p_hist_energia_emitida_insert (13,'25/04/2012',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/04/2012',3000,RSP);
p_hist_energia_emitida_insert (15,'25/04/2012',125,RSP); 
p_hist_energia_emitida_insert (16,'25/04/2012',1050,RSP);
p_hist_energia_emitida_insert (17,'25/04/2012',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/04/2012',8500,RSP);
p_hist_energia_emitida_insert (19,'25/04/2012',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/04/2012',9600,RSP);
p_hist_energia_emitida_insert (21,'25/04/2012',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/04/2012',12500,RSP);
p_hist_energia_emitida_insert (23,'25/04/2012',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/04/2012',7540,RSP);
p_hist_energia_emitida_insert (25,'25/04/2012',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/04/2012',1980,RSP);
p_hist_energia_emitida_insert (27,'25/04/2012',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/04/2012',9870,RSP);
p_hist_energia_emitida_insert (29,'25/04/2012',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/04/2012',10,RSP);
p_hist_energia_emitida_insert (31,'25/04/2012',100,RSP); 
p_hist_energia_emitida_insert (32,'25/04/2012',1888,RSP);
p_hist_energia_emitida_insert (33,'25/04/2012',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/04/2012',450,RSP);
p_hist_energia_emitida_insert (35,'25/04/2012',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/04/2012',12500,RSP);
p_hist_energia_emitida_insert (37,'25/04/2012',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/04/2012',12580,RSP);
p_hist_energia_emitida_insert (39,'25/04/2012',8,RSP); 
p_hist_energia_emitida_insert (40,'25/04/2012',7450,RSP);
p_hist_energia_emitida_insert (41,'25/04/2012',450,RSP); 
p_hist_energia_emitida_insert (42,'25/04/2012',1780,RSP);
p_hist_energia_emitida_insert (43,'25/04/2012',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/04/2012',1960,RSP);
p_hist_energia_emitida_insert (45,'25/04/2012',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/04/2012',4250,RSP);
p_hist_energia_emitida_insert (47,'25/04/2012',440,RSP); 
p_hist_energia_emitida_insert (48,'25/04/2012',4500,RSP);
p_hist_energia_emitida_insert (49,'25/04/2012',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/04/2012',45200,RSP);
p_hist_energia_emitida_insert (51,'25/04/2012',740,RSP); 
p_hist_energia_emitida_insert (52,'25/04/2012',9600,RSP);
p_hist_energia_emitida_insert (53,'25/04/2012',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/04/2012',152,RSP);
p_hist_energia_emitida_insert (55,'25/04/2012',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/04/2012',410,RSP);
p_hist_energia_emitida_insert (57,'25/04/2012',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/04/2012',410,RSP);
p_hist_energia_emitida_insert (59,'25/04/2012',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/04/2012',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/12/2011',500,RSP); 
p_hist_energia_emitida_insert (2,'25/12/2011',1000,RSP);
p_hist_energia_emitida_insert (3,'25/12/2011',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/12/2011',2000,RSP);
p_hist_energia_emitida_insert (5,'25/12/2011',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/12/2011',3000,RSP);
p_hist_energia_emitida_insert (7,'25/12/2011',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/12/2011',4000,RSP);
p_hist_energia_emitida_insert (9,'25/12/2011',500,RSP); 
p_hist_energia_emitida_insert (10,'25/12/2011',1000,RSP);
p_hist_energia_emitida_insert (11,'25/12/2011',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/12/2011',2000,RSP);
p_hist_energia_emitida_insert (13,'25/12/2011',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/12/2011',3000,RSP);
p_hist_energia_emitida_insert (15,'25/12/2011',125,RSP); 
p_hist_energia_emitida_insert (16,'25/12/2011',1050,RSP);
p_hist_energia_emitida_insert (17,'25/12/2011',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/12/2011',8500,RSP);
p_hist_energia_emitida_insert (19,'25/12/2011',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/12/2011',9600,RSP);
p_hist_energia_emitida_insert (21,'25/12/2011',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/12/2011',12500,RSP);
p_hist_energia_emitida_insert (23,'25/12/2011',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/12/2011',7540,RSP);
p_hist_energia_emitida_insert (25,'25/12/2011',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/12/2011',1980,RSP);
p_hist_energia_emitida_insert (27,'25/12/2011',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/12/2011',9870,RSP);
p_hist_energia_emitida_insert (29,'25/12/2011',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/12/2011',10,RSP);
p_hist_energia_emitida_insert (31,'25/12/2011',100,RSP); 
p_hist_energia_emitida_insert (32,'25/12/2011',1888,RSP);
p_hist_energia_emitida_insert (33,'25/12/2011',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/12/2011',450,RSP);
p_hist_energia_emitida_insert (35,'25/12/2011',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/12/2011',12500,RSP);
p_hist_energia_emitida_insert (37,'25/12/2011',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/12/2011',12580,RSP);
p_hist_energia_emitida_insert (39,'25/12/2011',8,RSP); 
p_hist_energia_emitida_insert (40,'25/12/2011',7450,RSP);
p_hist_energia_emitida_insert (41,'25/12/2011',450,RSP); 
p_hist_energia_emitida_insert (42,'25/12/2011',1780,RSP);
p_hist_energia_emitida_insert (43,'25/12/2011',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/12/2011',1960,RSP);
p_hist_energia_emitida_insert (45,'25/12/2011',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/12/2011',4250,RSP);
p_hist_energia_emitida_insert (47,'25/12/2011',440,RSP); 
p_hist_energia_emitida_insert (48,'25/12/2011',4500,RSP);
p_hist_energia_emitida_insert (49,'25/12/2011',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/12/2011',45200,RSP);
p_hist_energia_emitida_insert (51,'25/12/2011',740,RSP); 
p_hist_energia_emitida_insert (52,'25/12/2011',9600,RSP);
p_hist_energia_emitida_insert (53,'25/12/2011',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/12/2011',152,RSP);
p_hist_energia_emitida_insert (55,'25/12/2011',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/12/2011',410,RSP);
p_hist_energia_emitida_insert (57,'25/12/2011',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/12/2011',410,RSP);
p_hist_energia_emitida_insert (59,'25/12/2011',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/12/2011',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/11/2011',500,RSP); 
p_hist_energia_emitida_insert (2,'25/11/2011',1000,RSP);
p_hist_energia_emitida_insert (3,'25/11/2011',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/11/2011',2000,RSP);
p_hist_energia_emitida_insert (5,'25/11/2011',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/11/2011',3000,RSP);
p_hist_energia_emitida_insert (7,'25/11/2011',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/11/2011',4000,RSP);
p_hist_energia_emitida_insert (9,'25/11/2011',500,RSP); 
p_hist_energia_emitida_insert (10,'25/11/2011',1000,RSP);
p_hist_energia_emitida_insert (11,'25/11/2011',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/11/2011',2000,RSP);
p_hist_energia_emitida_insert (13,'25/11/2011',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/11/2011',3000,RSP);
p_hist_energia_emitida_insert (15,'25/11/2011',125,RSP); 
p_hist_energia_emitida_insert (16,'25/11/2011',1050,RSP);
p_hist_energia_emitida_insert (17,'25/11/2011',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/11/2011',8500,RSP);
p_hist_energia_emitida_insert (19,'25/11/2011',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/11/2011',9600,RSP);
p_hist_energia_emitida_insert (21,'25/11/2011',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/11/2011',12500,RSP);
p_hist_energia_emitida_insert (23,'25/11/2011',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/11/2011',7540,RSP);
p_hist_energia_emitida_insert (25,'25/11/2011',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/11/2011',1980,RSP);
p_hist_energia_emitida_insert (27,'25/11/2011',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/11/2011',9870,RSP);
p_hist_energia_emitida_insert (29,'25/11/2011',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/11/2011',10,RSP);
p_hist_energia_emitida_insert (31,'25/11/2011',100,RSP); 
p_hist_energia_emitida_insert (32,'25/11/2011',1888,RSP);
p_hist_energia_emitida_insert (33,'25/11/2011',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/11/2011',450,RSP);
p_hist_energia_emitida_insert (35,'25/11/2011',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/11/2011',12500,RSP);
p_hist_energia_emitida_insert (37,'25/11/2011',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/11/2011',12580,RSP);
p_hist_energia_emitida_insert (39,'25/11/2011',8,RSP); 
p_hist_energia_emitida_insert (40,'25/11/2011',7450,RSP);
p_hist_energia_emitida_insert (41,'25/11/2011',450,RSP); 
p_hist_energia_emitida_insert (42,'25/11/2011',1780,RSP);
p_hist_energia_emitida_insert (43,'25/11/2011',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/11/2011',1960,RSP);
p_hist_energia_emitida_insert (45,'25/11/2011',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/11/2011',4250,RSP);
p_hist_energia_emitida_insert (47,'25/11/2011',440,RSP); 
p_hist_energia_emitida_insert (48,'25/11/2011',4500,RSP);
p_hist_energia_emitida_insert (49,'25/11/2011',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/11/2011',45200,RSP);
p_hist_energia_emitida_insert (51,'25/11/2011',740,RSP); 
p_hist_energia_emitida_insert (52,'25/11/2011',9600,RSP);
p_hist_energia_emitida_insert (53,'25/11/2011',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/11/2011',152,RSP);
p_hist_energia_emitida_insert (55,'25/11/2011',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/11/2011',410,RSP);
p_hist_energia_emitida_insert (57,'25/11/2011',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/11/2011',410,RSP);
p_hist_energia_emitida_insert (59,'25/11/2011',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/11/2011',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/10/2011',500,RSP); 
p_hist_energia_emitida_insert (2,'25/10/2011',1000,RSP);
p_hist_energia_emitida_insert (3,'25/10/2011',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/10/2011',2000,RSP);
p_hist_energia_emitida_insert (5,'25/10/2011',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/10/2011',3000,RSP);
p_hist_energia_emitida_insert (7,'25/10/2011',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/10/2011',4000,RSP);
p_hist_energia_emitida_insert (9,'25/10/2011',500,RSP); 
p_hist_energia_emitida_insert (10,'25/10/2011',1000,RSP);
p_hist_energia_emitida_insert (11,'25/10/2011',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/10/2011',2000,RSP);
p_hist_energia_emitida_insert (13,'25/10/2011',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/10/2011',3000,RSP);
p_hist_energia_emitida_insert (15,'25/10/2011',125,RSP); 
p_hist_energia_emitida_insert (16,'25/10/2011',1050,RSP);
p_hist_energia_emitida_insert (17,'25/10/2011',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/10/2011',8500,RSP);
p_hist_energia_emitida_insert (19,'25/10/2011',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/10/2011',9600,RSP);
p_hist_energia_emitida_insert (21,'25/10/2011',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/10/2011',12500,RSP);
p_hist_energia_emitida_insert (23,'25/10/2011',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/10/2011',7540,RSP);
p_hist_energia_emitida_insert (25,'25/10/2011',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/10/2011',1980,RSP);
p_hist_energia_emitida_insert (27,'25/10/2011',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/10/2011',9870,RSP);
p_hist_energia_emitida_insert (29,'25/10/2011',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/10/2011',10,RSP);
p_hist_energia_emitida_insert (31,'25/10/2011',100,RSP); 
p_hist_energia_emitida_insert (32,'25/10/2011',1888,RSP);
p_hist_energia_emitida_insert (33,'25/10/2011',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/10/2011',450,RSP);
p_hist_energia_emitida_insert (35,'25/10/2011',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/10/2011',12500,RSP);
p_hist_energia_emitida_insert (37,'25/10/2011',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/10/2011',12580,RSP);
p_hist_energia_emitida_insert (39,'25/10/2011',8,RSP); 
p_hist_energia_emitida_insert (40,'25/10/2011',7450,RSP);
p_hist_energia_emitida_insert (41,'25/10/2011',450,RSP); 
p_hist_energia_emitida_insert (42,'25/10/2011',1780,RSP);
p_hist_energia_emitida_insert (43,'25/10/2011',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/10/2011',1960,RSP);
p_hist_energia_emitida_insert (45,'25/10/2011',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/10/2011',4250,RSP);
p_hist_energia_emitida_insert (47,'25/10/2011',440,RSP); 
p_hist_energia_emitida_insert (48,'25/10/2011',4500,RSP);
p_hist_energia_emitida_insert (49,'25/10/2011',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/10/2011',45200,RSP);
p_hist_energia_emitida_insert (51,'25/10/2011',740,RSP); 
p_hist_energia_emitida_insert (52,'25/10/2011',9600,RSP);
p_hist_energia_emitida_insert (53,'25/10/2011',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/10/2011',152,RSP);
p_hist_energia_emitida_insert (55,'25/10/2011',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/10/2011',410,RSP);
p_hist_energia_emitida_insert (57,'25/10/2011',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/10/2011',410,RSP);
p_hist_energia_emitida_insert (59,'25/10/2011',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/10/2011',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/09/2011',500,RSP); 
p_hist_energia_emitida_insert (2,'25/09/2011',1000,RSP);
p_hist_energia_emitida_insert (3,'25/09/2011',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/09/2011',2000,RSP);
p_hist_energia_emitida_insert (5,'25/09/2011',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/09/2011',3000,RSP);
p_hist_energia_emitida_insert (7,'25/09/2011',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/09/2011',4000,RSP);
p_hist_energia_emitida_insert (9,'25/09/2011',500,RSP); 
p_hist_energia_emitida_insert (10,'25/09/2011',1000,RSP);
p_hist_energia_emitida_insert (11,'25/09/2011',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/09/2011',2000,RSP);
p_hist_energia_emitida_insert (13,'25/09/2011',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/09/2011',3000,RSP);
p_hist_energia_emitida_insert (15,'25/09/2011',125,RSP); 
p_hist_energia_emitida_insert (16,'25/09/2011',1050,RSP);
p_hist_energia_emitida_insert (17,'25/09/2011',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/09/2011',8500,RSP);
p_hist_energia_emitida_insert (19,'25/09/2011',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/09/2011',9600,RSP);
p_hist_energia_emitida_insert (21,'25/09/2011',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/09/2011',12500,RSP);
p_hist_energia_emitida_insert (23,'25/09/2011',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/09/2011',7540,RSP);
p_hist_energia_emitida_insert (25,'25/09/2011',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/09/2011',1980,RSP);
p_hist_energia_emitida_insert (27,'25/09/2011',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/09/2011',9870,RSP);
p_hist_energia_emitida_insert (29,'25/09/2011',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/09/2011',10,RSP);
p_hist_energia_emitida_insert (31,'25/09/2011',100,RSP); 
p_hist_energia_emitida_insert (32,'25/09/2011',1888,RSP);
p_hist_energia_emitida_insert (33,'25/09/2011',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/09/2011',450,RSP);
p_hist_energia_emitida_insert (35,'25/09/2011',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/09/2011',12500,RSP);
p_hist_energia_emitida_insert (37,'25/09/2011',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/09/2011',12580,RSP);
p_hist_energia_emitida_insert (39,'25/09/2011',8,RSP); 
p_hist_energia_emitida_insert (40,'25/09/2011',7450,RSP);
p_hist_energia_emitida_insert (41,'25/09/2011',450,RSP); 
p_hist_energia_emitida_insert (42,'25/09/2011',1780,RSP);
p_hist_energia_emitida_insert (43,'25/09/2011',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/09/2011',1960,RSP);
p_hist_energia_emitida_insert (45,'25/09/2011',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/09/2011',4250,RSP);
p_hist_energia_emitida_insert (47,'25/09/2011',440,RSP); 
p_hist_energia_emitida_insert (48,'25/09/2011',4500,RSP);
p_hist_energia_emitida_insert (49,'25/09/2011',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/09/2011',45200,RSP);
p_hist_energia_emitida_insert (51,'25/09/2011',740,RSP); 
p_hist_energia_emitida_insert (52,'25/09/2011',9600,RSP);
p_hist_energia_emitida_insert (53,'25/09/2011',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/09/2011',152,RSP);
p_hist_energia_emitida_insert (55,'25/09/2011',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/09/2011',410,RSP);
p_hist_energia_emitida_insert (57,'25/09/2011',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/09/2011',410,RSP);
p_hist_energia_emitida_insert (59,'25/09/2011',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/09/2011',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/09/2010',500,RSP); 
p_hist_energia_emitida_insert (2,'25/09/2010',1000,RSP);
p_hist_energia_emitida_insert (3,'25/09/2010',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/09/2010',2000,RSP);
p_hist_energia_emitida_insert (5,'25/09/2010',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/09/2010',3000,RSP);
p_hist_energia_emitida_insert (7,'25/09/2010',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/09/2010',4000,RSP);
p_hist_energia_emitida_insert (9,'25/09/2010',500,RSP); 
p_hist_energia_emitida_insert (10,'25/09/2010',1000,RSP);
p_hist_energia_emitida_insert (11,'25/09/2010',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/09/2010',2000,RSP);
p_hist_energia_emitida_insert (13,'25/09/2010',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/09/2010',3000,RSP);
p_hist_energia_emitida_insert (15,'25/09/2010',125,RSP); 
p_hist_energia_emitida_insert (16,'25/09/2010',1050,RSP);
p_hist_energia_emitida_insert (17,'25/09/2010',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/09/2010',8500,RSP);
p_hist_energia_emitida_insert (19,'25/09/2010',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/09/2010',9600,RSP);
p_hist_energia_emitida_insert (21,'25/09/2010',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/09/2010',12500,RSP);
p_hist_energia_emitida_insert (23,'25/09/2010',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/09/2010',7540,RSP);
p_hist_energia_emitida_insert (25,'25/09/2010',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/09/2010',1980,RSP);
p_hist_energia_emitida_insert (27,'25/09/2010',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/09/2010',9870,RSP);
p_hist_energia_emitida_insert (29,'25/09/2010',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/09/2010',10,RSP);
p_hist_energia_emitida_insert (31,'25/09/2010',100,RSP); 
p_hist_energia_emitida_insert (32,'25/09/2010',1888,RSP);
p_hist_energia_emitida_insert (33,'25/09/2010',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/09/2010',450,RSP);
p_hist_energia_emitida_insert (35,'25/09/2010',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/09/2010',12500,RSP);
p_hist_energia_emitida_insert (37,'25/09/2010',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/09/2010',12580,RSP);
p_hist_energia_emitida_insert (39,'25/09/2010',8,RSP); 
p_hist_energia_emitida_insert (40,'25/09/2010',7450,RSP);
p_hist_energia_emitida_insert (41,'25/09/2010',450,RSP); 
p_hist_energia_emitida_insert (42,'25/09/2010',1780,RSP);
p_hist_energia_emitida_insert (43,'25/09/2010',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/09/2010',1960,RSP);
p_hist_energia_emitida_insert (45,'25/09/2010',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/09/2010',4250,RSP);
p_hist_energia_emitida_insert (47,'25/09/2010',440,RSP); 
p_hist_energia_emitida_insert (48,'25/09/2010',4500,RSP);
p_hist_energia_emitida_insert (49,'25/09/2010',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/09/2010',45200,RSP);
p_hist_energia_emitida_insert (51,'25/09/2010',740,RSP); 
p_hist_energia_emitida_insert (52,'25/09/2010',9600,RSP);
p_hist_energia_emitida_insert (53,'25/09/2010',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/09/2010',152,RSP);
p_hist_energia_emitida_insert (55,'25/09/2010',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/09/2010',410,RSP);
p_hist_energia_emitida_insert (57,'25/09/2010',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/09/2010',410,RSP);
p_hist_energia_emitida_insert (59,'25/09/2010',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/09/2010',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/10/2010',500,RSP); 
p_hist_energia_emitida_insert (2,'25/10/2010',1000,RSP);
p_hist_energia_emitida_insert (3,'25/10/2010',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/10/2010',2000,RSP);
p_hist_energia_emitida_insert (5,'25/10/2010',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/10/2010',3000,RSP);
p_hist_energia_emitida_insert (7,'25/10/2010',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/10/2010',4000,RSP);
p_hist_energia_emitida_insert (9,'25/10/2010',500,RSP); 
p_hist_energia_emitida_insert (10,'25/10/2010',1000,RSP);
p_hist_energia_emitida_insert (11,'25/10/2010',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/10/2010',2000,RSP);
p_hist_energia_emitida_insert (13,'25/10/2010',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/10/2010',3000,RSP);
p_hist_energia_emitida_insert (15,'25/10/2010',125,RSP); 
p_hist_energia_emitida_insert (16,'25/10/2010',1050,RSP);
p_hist_energia_emitida_insert (17,'25/10/2010',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/10/2010',8500,RSP);
p_hist_energia_emitida_insert (19,'25/10/2010',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/10/2010',9600,RSP);
p_hist_energia_emitida_insert (21,'25/10/2010',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/10/2010',12500,RSP);
p_hist_energia_emitida_insert (23,'25/10/2010',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/10/2010',7540,RSP);
p_hist_energia_emitida_insert (25,'25/10/2010',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/10/2010',1980,RSP);
p_hist_energia_emitida_insert (27,'25/10/2010',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/10/2010',9870,RSP);
p_hist_energia_emitida_insert (29,'25/10/2010',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/10/2010',10,RSP);
p_hist_energia_emitida_insert (31,'25/10/2010',100,RSP); 
p_hist_energia_emitida_insert (32,'25/10/2010',1888,RSP);
p_hist_energia_emitida_insert (33,'25/10/2010',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/10/2010',450,RSP);
p_hist_energia_emitida_insert (35,'25/10/2010',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/10/2010',12500,RSP);
p_hist_energia_emitida_insert (37,'25/10/2010',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/10/2010',12580,RSP);
p_hist_energia_emitida_insert (39,'25/10/2010',8,RSP); 
p_hist_energia_emitida_insert (40,'25/10/2010',7450,RSP);
p_hist_energia_emitida_insert (41,'25/10/2010',450,RSP); 
p_hist_energia_emitida_insert (42,'25/10/2010',1780,RSP);
p_hist_energia_emitida_insert (43,'25/10/2010',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/10/2010',1960,RSP);
p_hist_energia_emitida_insert (45,'25/10/2010',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/10/2010',4250,RSP);
p_hist_energia_emitida_insert (47,'25/10/2010',440,RSP); 
p_hist_energia_emitida_insert (48,'25/10/2010',4500,RSP);
p_hist_energia_emitida_insert (49,'25/10/2010',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/10/2010',45200,RSP);
p_hist_energia_emitida_insert (51,'25/10/2010',740,RSP); 
p_hist_energia_emitida_insert (52,'25/10/2010',9600,RSP);
p_hist_energia_emitida_insert (53,'25/10/2010',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/10/2010',152,RSP);
p_hist_energia_emitida_insert (55,'25/10/2010',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/10/2010',410,RSP);
p_hist_energia_emitida_insert (57,'25/10/2010',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/10/2010',410,RSP);
p_hist_energia_emitida_insert (59,'25/10/2010',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/10/2010',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/11/2010',500,RSP); 
p_hist_energia_emitida_insert (2,'25/11/2010',1000,RSP);
p_hist_energia_emitida_insert (3,'25/11/2010',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/11/2010',2000,RSP);
p_hist_energia_emitida_insert (5,'25/11/2010',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/11/2010',3000,RSP);
p_hist_energia_emitida_insert (7,'25/11/2010',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/11/2010',4000,RSP);
p_hist_energia_emitida_insert (9,'25/11/2010',500,RSP); 
p_hist_energia_emitida_insert (10,'25/11/2010',1000,RSP);
p_hist_energia_emitida_insert (11,'25/11/2010',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/11/2010',2000,RSP);
p_hist_energia_emitida_insert (13,'25/11/2010',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/11/2010',3000,RSP);
p_hist_energia_emitida_insert (15,'25/11/2010',125,RSP); 
p_hist_energia_emitida_insert (16,'25/11/2010',1050,RSP);
p_hist_energia_emitida_insert (17,'25/11/2010',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/11/2010',8500,RSP);
p_hist_energia_emitida_insert (19,'25/11/2010',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/11/2010',9600,RSP);
p_hist_energia_emitida_insert (21,'25/11/2010',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/11/2010',12500,RSP);
p_hist_energia_emitida_insert (23,'25/11/2010',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/11/2010',7540,RSP);
p_hist_energia_emitida_insert (25,'25/11/2010',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/11/2010',1980,RSP);
p_hist_energia_emitida_insert (27,'25/11/2010',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/11/2010',9870,RSP);
p_hist_energia_emitida_insert (29,'25/11/2010',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/11/2010',10,RSP);
p_hist_energia_emitida_insert (31,'25/11/2010',100,RSP); 
p_hist_energia_emitida_insert (32,'25/11/2010',1888,RSP);
p_hist_energia_emitida_insert (33,'25/11/2010',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/11/2010',450,RSP);
p_hist_energia_emitida_insert (35,'25/11/2010',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/11/2010',12500,RSP);
p_hist_energia_emitida_insert (37,'25/11/2010',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/11/2010',12580,RSP);
p_hist_energia_emitida_insert (39,'25/11/2010',8,RSP); 
p_hist_energia_emitida_insert (40,'25/11/2010',7450,RSP);
p_hist_energia_emitida_insert (41,'25/11/2010',450,RSP); 
p_hist_energia_emitida_insert (42,'25/11/2010',1780,RSP);
p_hist_energia_emitida_insert (43,'25/11/2010',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/11/2010',1960,RSP);
p_hist_energia_emitida_insert (45,'25/11/2010',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/11/2010',4250,RSP);
p_hist_energia_emitida_insert (47,'25/11/2010',440,RSP); 
p_hist_energia_emitida_insert (48,'25/11/2010',4500,RSP);
p_hist_energia_emitida_insert (49,'25/11/2010',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/11/2010',45200,RSP);
p_hist_energia_emitida_insert (51,'25/11/2010',740,RSP); 
p_hist_energia_emitida_insert (52,'25/11/2010',9600,RSP);
p_hist_energia_emitida_insert (53,'25/11/2010',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/11/2010',152,RSP);
p_hist_energia_emitida_insert (55,'25/11/2010',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/11/2010',410,RSP);
p_hist_energia_emitida_insert (57,'25/11/2010',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/11/2010',410,RSP);
p_hist_energia_emitida_insert (59,'25/11/2010',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/11/2010',85400,RSP);

--

p_hist_energia_emitida_insert (1,'25/12/2010',500,RSP); 
p_hist_energia_emitida_insert (2,'25/12/2010',1000,RSP);
p_hist_energia_emitida_insert (3,'25/12/2010',1500,RSP); 
p_hist_energia_emitida_insert (4,'25/12/2010',2000,RSP);
p_hist_energia_emitida_insert (5,'25/12/2010',2500,RSP); 
p_hist_energia_emitida_insert (6,'25/12/2010',3000,RSP);
p_hist_energia_emitida_insert (7,'25/12/2010',3500,RSP); 
p_hist_energia_emitida_insert (8,'25/12/2010',4000,RSP);
p_hist_energia_emitida_insert (9,'25/12/2010',500,RSP); 
p_hist_energia_emitida_insert (10,'25/12/2010',1000,RSP);
p_hist_energia_emitida_insert (11,'25/12/2010',1500,RSP); 
p_hist_energia_emitida_insert (12,'25/12/2010',2000,RSP);
p_hist_energia_emitida_insert (13,'25/12/2010',2500,RSP); 
p_hist_energia_emitida_insert (14,'25/12/2010',3000,RSP);
p_hist_energia_emitida_insert (15,'25/12/2010',125,RSP); 
p_hist_energia_emitida_insert (16,'25/12/2010',1050,RSP);
p_hist_energia_emitida_insert (17,'25/12/2010',1780,RSP); 
p_hist_energia_emitida_insert (18,'25/12/2010',8500,RSP);
p_hist_energia_emitida_insert (19,'25/12/2010',6500,RSP); 
p_hist_energia_emitida_insert (20,'25/12/2010',9600,RSP);
p_hist_energia_emitida_insert (21,'25/12/2010',1700,RSP); 
p_hist_energia_emitida_insert (22,'25/12/2010',12500,RSP);
p_hist_energia_emitida_insert (23,'25/12/2010',19800,RSP); 
p_hist_energia_emitida_insert (24,'25/12/2010',7540,RSP);
p_hist_energia_emitida_insert (25,'25/12/2010',3650,RSP); 
p_hist_energia_emitida_insert (26,'25/12/2010',1980,RSP);
p_hist_energia_emitida_insert (27,'25/12/2010',4440,RSP); 
p_hist_energia_emitida_insert (28,'25/12/2010',9870,RSP);
p_hist_energia_emitida_insert (29,'25/12/2010',15250,RSP); 
p_hist_energia_emitida_insert (30,'25/12/2010',10,RSP);
p_hist_energia_emitida_insert (31,'25/12/2010',100,RSP); 
p_hist_energia_emitida_insert (32,'25/12/2010',1888,RSP);
p_hist_energia_emitida_insert (33,'25/12/2010',7500,RSP); 
p_hist_energia_emitida_insert (34,'25/12/2010',450,RSP);
p_hist_energia_emitida_insert (35,'25/12/2010',4400,RSP); 
p_hist_energia_emitida_insert (36,'25/12/2010',12500,RSP);
p_hist_energia_emitida_insert (37,'25/12/2010',9850,RSP); 
p_hist_energia_emitida_insert (38,'25/12/2010',12580,RSP);
p_hist_energia_emitida_insert (39,'25/12/2010',8,RSP); 
p_hist_energia_emitida_insert (40,'25/12/2010',7450,RSP);
p_hist_energia_emitida_insert (41,'25/12/2010',450,RSP); 
p_hist_energia_emitida_insert (42,'25/12/2010',1780,RSP);
p_hist_energia_emitida_insert (43,'25/12/2010',32500,RSP); 
p_hist_energia_emitida_insert (44,'25/12/2010',1960,RSP);
p_hist_energia_emitida_insert (45,'25/12/2010',1850,RSP); 
p_hist_energia_emitida_insert (46,'25/12/2010',4250,RSP);
p_hist_energia_emitida_insert (47,'25/12/2010',440,RSP); 
p_hist_energia_emitida_insert (48,'25/12/2010',4500,RSP);
p_hist_energia_emitida_insert (49,'25/12/2010',8900,RSP); 
p_hist_energia_emitida_insert (50,'25/12/2010',45200,RSP);
p_hist_energia_emitida_insert (51,'25/12/2010',740,RSP); 
p_hist_energia_emitida_insert (52,'25/12/2010',9600,RSP);
p_hist_energia_emitida_insert (53,'25/12/2010',452200,RSP); 
p_hist_energia_emitida_insert (54,'25/12/2010',152,RSP);
p_hist_energia_emitida_insert (55,'25/12/2010',1960,RSP); 
p_hist_energia_emitida_insert (56,'25/12/2010',410,RSP);
p_hist_energia_emitida_insert (57,'25/12/2010',89600,RSP); 
p_hist_energia_emitida_insert (58,'25/12/2010',410,RSP);
p_hist_energia_emitida_insert (59,'25/12/2010',9600,RSP); 
p_hist_energia_emitida_insert (60,'25/12/2010',85400,RSP);

--

	
  commit;
END;
/
-----------------------------------------------
-- INSERTAR DATOS EN TABLA HIST_ENERGIA_PROD --
-----------------------------------------------

DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_hist_energia_prod_insert(1,'01/01/2012',500,RSP); 
	p_hist_energia_prod_insert(2,'01/01/2012',1000,RSP);
	p_hist_energia_prod_insert(3,'01/01/2012',1500,RSP); 
	p_hist_energia_prod_insert(4,'01/01/2012',2000,RSP);
	p_hist_energia_prod_insert(5,'01/01/2012',2500,RSP); 
	p_hist_energia_prod_insert(6,'01/01/2012',3000,RSP);
	p_hist_energia_prod_insert(7,'01/01/2012',3500,RSP); 
	p_hist_energia_prod_insert(8,'01/01/2012',4000,RSP);
	p_hist_energia_prod_insert(9,'01/01/2012',500,RSP); 
	p_hist_energia_prod_insert(10,'01/01/2012',1000,RSP);
	p_hist_energia_prod_insert(11,'01/01/2012',1500,RSP); 
	p_hist_energia_prod_insert(12,'01/01/2012',2000,RSP);
	p_hist_energia_prod_insert(13,'01/01/2012',2500,RSP); 
	p_hist_energia_prod_insert(14,'01/01/2012',3000,RSP);
	p_hist_energia_prod_insert(15,'01/01/2012',125,RSP); 
	p_hist_energia_prod_insert(16,'01/01/2012',1050,RSP);
	p_hist_energia_prod_insert(17,'01/01/2012',1780,RSP); 
	p_hist_energia_prod_insert(18,'01/01/2012',8500,RSP);
	p_hist_energia_prod_insert(19,'01/01/2012',6500,RSP); 
	p_hist_energia_prod_insert(20,'01/01/2012',9600,RSP);
	
	--
	
	p_hist_energia_prod_insert(1,'01/02/2012',500,RSP); 
	p_hist_energia_prod_insert(2,'01/02/2012',1000,RSP);
	p_hist_energia_prod_insert(3,'01/02/2012',1500,RSP); 
	p_hist_energia_prod_insert(4,'01/02/2012',2000,RSP);
	p_hist_energia_prod_insert(5,'01/02/2012',2500,RSP); 
	p_hist_energia_prod_insert(6,'01/02/2012',3000,RSP);
	p_hist_energia_prod_insert(7,'01/02/2012',3500,RSP); 
	p_hist_energia_prod_insert(8,'01/02/2012',4000,RSP);
	p_hist_energia_prod_insert(9,'01/02/2012',500,RSP); 
	p_hist_energia_prod_insert(10,'01/02/2012',1000,RSP);
	p_hist_energia_prod_insert(11,'01/02/2012',1500,RSP); 
	p_hist_energia_prod_insert(12,'01/02/2012',2000,RSP);
	p_hist_energia_prod_insert(13,'01/02/2012',2500,RSP); 
	p_hist_energia_prod_insert(14,'01/02/2012',3000,RSP);
	p_hist_energia_prod_insert(15,'01/02/2012',125,RSP); 
	p_hist_energia_prod_insert(16,'01/02/2012',1050,RSP);
	p_hist_energia_prod_insert(17,'01/02/2012',1780,RSP); 
	p_hist_energia_prod_insert(18,'01/02/2012',8500,RSP);
	p_hist_energia_prod_insert(19,'01/02/2012',6500,RSP); 
	p_hist_energia_prod_insert(20,'01/02/2012',9600,RSP);
	
	--
	
	p_hist_energia_prod_insert(1,'01/03/2012',8541,RSP); 
	p_hist_energia_prod_insert(2,'01/03/2012',4645,RSP);
	p_hist_energia_prod_insert(3,'01/03/2012',1960,RSP); 
	p_hist_energia_prod_insert(4,'01/03/2012',9492,RSP);
	p_hist_energia_prod_insert(5,'01/03/2012',8396,RSP); 
	p_hist_energia_prod_insert(6,'01/03/2012',8496,RSP);
	p_hist_energia_prod_insert(7,'01/03/2012',4170,RSP); 
	p_hist_energia_prod_insert(8,'01/03/2012',5172,RSP);
	p_hist_energia_prod_insert(9,'01/03/2012',8429,RSP); 
	p_hist_energia_prod_insert(10,'01/03/2012',3321,RSP);
	p_hist_energia_prod_insert(11,'01/03/2012',3140,RSP); 
	p_hist_energia_prod_insert(12,'01/03/2012',2414,RSP);
	p_hist_energia_prod_insert(13,'01/03/2012',7733,RSP); 
	p_hist_energia_prod_insert(14,'01/03/2012',2492,RSP);
	p_hist_energia_prod_insert(15,'01/03/2012',928,RSP); 
	p_hist_energia_prod_insert(16,'01/03/2012',7462,RSP);
	p_hist_energia_prod_insert(17,'01/03/2012',966,RSP); 
	p_hist_energia_prod_insert(18,'01/03/2012',3523,RSP);
	p_hist_energia_prod_insert(19,'01/03/2012',4544,RSP); 
	p_hist_energia_prod_insert(20,'01/03/2012',9217,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/04/2012',1502,RSP); 
	p_hist_energia_prod_insert(2,'01/04/2012',6679,RSP);
	p_hist_energia_prod_insert(3,'01/04/2012',5839,RSP); 
	p_hist_energia_prod_insert(4,'01/04/2012',6687,RSP);
	p_hist_energia_prod_insert(5,'01/04/2012',796,RSP); 
	p_hist_energia_prod_insert(6,'01/04/2012',3931,RSP);
	p_hist_energia_prod_insert(7,'01/04/2012',7822,RSP); 
	p_hist_energia_prod_insert(8,'01/04/2012',43,RSP);
	p_hist_energia_prod_insert(9,'01/04/2012',2011,RSP); 
	p_hist_energia_prod_insert(10,'01/04/2012',2439,RSP);
	p_hist_energia_prod_insert(11,'01/04/2012',2221,RSP); 
	p_hist_energia_prod_insert(12,'01/04/2012',5874,RSP);
	p_hist_energia_prod_insert(13,'01/04/2012',4659,RSP); 
	p_hist_energia_prod_insert(14,'01/04/2012',4883,RSP);
	p_hist_energia_prod_insert(15,'01/04/2012',4130,RSP); 
	p_hist_energia_prod_insert(16,'01/04/2012',8094,RSP);
	p_hist_energia_prod_insert(17,'01/04/2012',8004,RSP); 
	p_hist_energia_prod_insert(18,'01/04/2012',1830,RSP);
	p_hist_energia_prod_insert(19,'01/04/2012',9306,RSP); 
	p_hist_energia_prod_insert(20,'01/04/2012',6547,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/12/2011',5705,RSP); 
	p_hist_energia_prod_insert(2,'01/12/2011',2848,RSP);
	p_hist_energia_prod_insert(3,'01/12/2011',976,RSP); 
	p_hist_energia_prod_insert(4,'01/12/2011',7350,RSP);
	p_hist_energia_prod_insert(5,'01/12/2011',8625,RSP); 
	p_hist_energia_prod_insert(6,'01/12/2011',5633,RSP);
	p_hist_energia_prod_insert(7,'01/12/2011',6300,RSP); 
	p_hist_energia_prod_insert(8,'01/12/2011',777,RSP);
	p_hist_energia_prod_insert(9,'01/12/2011',4052,RSP); 
	p_hist_energia_prod_insert(10,'01/12/2011',5381,RSP);
	p_hist_energia_prod_insert(11,'01/12/2011',4441,RSP); 
	p_hist_energia_prod_insert(12,'01/12/2011',4735,RSP);
	p_hist_energia_prod_insert(13,'01/12/2011',2837,RSP); 
	p_hist_energia_prod_insert(14,'01/12/2011',9229,RSP);
	p_hist_energia_prod_insert(15,'01/12/2011',4273,RSP); 
	p_hist_energia_prod_insert(16,'01/12/2011',6609,RSP);
	p_hist_energia_prod_insert(17,'01/12/2011',5421,RSP); 
	p_hist_energia_prod_insert(18,'01/12/2011',6852,RSP);
	p_hist_energia_prod_insert(19,'01/12/2011',8861,RSP); 
	p_hist_energia_prod_insert(20,'01/12/2011',6998,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/11/2011',2971,RSP); 
	p_hist_energia_prod_insert(2,'01/11/2011',4435,RSP);
	p_hist_energia_prod_insert(3,'01/11/2011',9077,RSP); 
	p_hist_energia_prod_insert(4,'01/11/2011',4745,RSP);
	p_hist_energia_prod_insert(5,'01/11/2011',9494,RSP); 
	p_hist_energia_prod_insert(6,'01/11/2011',7342,RSP);
	p_hist_energia_prod_insert(7,'01/11/2011',1932,RSP); 
	p_hist_energia_prod_insert(8,'01/11/2011',3700,RSP);
	p_hist_energia_prod_insert(9,'01/11/2011',354,RSP); 
	p_hist_energia_prod_insert(10,'01/11/2011',2688,RSP);
	p_hist_energia_prod_insert(11,'01/11/2011',6193,RSP); 
	p_hist_energia_prod_insert(12,'01/11/2011',3269,RSP);
	p_hist_energia_prod_insert(13,'01/11/2011',9180,RSP); 
	p_hist_energia_prod_insert(14,'01/11/2011',4044,RSP);
	p_hist_energia_prod_insert(15,'01/11/2011',5738,RSP); 
	p_hist_energia_prod_insert(16,'01/11/2011',8192,RSP);
	p_hist_energia_prod_insert(17,'01/11/2011',9746,RSP); 
	p_hist_energia_prod_insert(18,'01/11/2011',5043,RSP);
	p_hist_energia_prod_insert(19,'01/11/2011',8869,RSP); 
	p_hist_energia_prod_insert(20,'01/11/2011',6496,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/10/2011',5203,RSP); 
	p_hist_energia_prod_insert(2,'01/10/2011',8546,RSP);
	p_hist_energia_prod_insert(3,'01/10/2011',128,RSP); 
	p_hist_energia_prod_insert(4,'01/10/2011',9915,RSP);
	p_hist_energia_prod_insert(5,'01/10/2011',2183,RSP); 
	p_hist_energia_prod_insert(6,'01/10/2011',2758,RSP);
	p_hist_energia_prod_insert(7,'01/10/2011',4342,RSP); 
	p_hist_energia_prod_insert(8,'01/10/2011',7415,RSP);
	p_hist_energia_prod_insert(9,'01/10/2011',3211,RSP); 
	p_hist_energia_prod_insert(10,'01/10/2011',4400,RSP);
	p_hist_energia_prod_insert(11,'01/10/2011',3665,RSP); 
	p_hist_energia_prod_insert(12,'01/10/2011',1521,RSP);
	p_hist_energia_prod_insert(13,'01/10/2011',3978,RSP); 
	p_hist_energia_prod_insert(14,'01/10/2011',8310,RSP);
	p_hist_energia_prod_insert(15,'01/10/2011',5250,RSP); 
	p_hist_energia_prod_insert(16,'01/10/2011',93,RSP);
	p_hist_energia_prod_insert(17,'01/10/2011',4204,RSP); 
	p_hist_energia_prod_insert(18,'01/10/2011',9847,RSP);
	p_hist_energia_prod_insert(19,'01/10/2011',1562,RSP); 
	p_hist_energia_prod_insert(20,'01/10/2011',404,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/09/2011',6125,RSP); 
	p_hist_energia_prod_insert(2,'01/09/2011',3689,RSP);
	p_hist_energia_prod_insert(3,'01/09/2011',6581,RSP); 
	p_hist_energia_prod_insert(4,'01/09/2011',7024,RSP);
	p_hist_energia_prod_insert(5,'01/09/2011',6360,RSP); 
	p_hist_energia_prod_insert(6,'01/09/2011',4611,RSP);
	p_hist_energia_prod_insert(7,'01/09/2011',5110,RSP); 
	p_hist_energia_prod_insert(8,'01/09/2011',7744,RSP);
	p_hist_energia_prod_insert(9,'01/09/2011',419,RSP); 
	p_hist_energia_prod_insert(10,'01/09/2011',2975,RSP);
	p_hist_energia_prod_insert(11,'01/09/2011',6068,RSP); 
	p_hist_energia_prod_insert(12,'01/09/2011',7462,RSP);
	p_hist_energia_prod_insert(13,'01/09/2011',4133,RSP); 
	p_hist_energia_prod_insert(14,'01/09/2011',8861,RSP);
	p_hist_energia_prod_insert(15,'01/09/2011',391,RSP); 
	p_hist_energia_prod_insert(16,'01/09/2011',3725,RSP);
	p_hist_energia_prod_insert(17,'01/09/2011',407,RSP); 
	p_hist_energia_prod_insert(18,'01/09/2011',1891,RSP);
	p_hist_energia_prod_insert(19,'01/09/2011',3082,RSP); 
	p_hist_energia_prod_insert(20,'01/09/2011',2562,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/09/2010',1827,RSP); 
	p_hist_energia_prod_insert(2,'01/09/2010',7306,RSP);
	p_hist_energia_prod_insert(3,'01/09/2010',4641,RSP); 
	p_hist_energia_prod_insert(4,'01/09/2010',7932,RSP);
	p_hist_energia_prod_insert(5,'01/09/2010',4982,RSP); 
	p_hist_energia_prod_insert(6,'01/09/2010',4770,RSP);
	p_hist_energia_prod_insert(7,'01/09/2010',3397,RSP); 
	p_hist_energia_prod_insert(8,'01/09/2010',7387,RSP);
	p_hist_energia_prod_insert(9,'01/09/2010',7916,RSP); 
	p_hist_energia_prod_insert(10,'01/09/2010',1506,RSP);
	p_hist_energia_prod_insert(11,'01/09/2010',8963,RSP); 
	p_hist_energia_prod_insert(12,'01/09/2010',4635,RSP);
	p_hist_energia_prod_insert(13,'01/09/2010',1499,RSP); 
	p_hist_energia_prod_insert(14,'01/09/2010',4230,RSP);
	p_hist_energia_prod_insert(15,'01/09/2010',9133,RSP); 
	p_hist_energia_prod_insert(16,'01/09/2010',1546,RSP);
	p_hist_energia_prod_insert(17,'01/09/2010',3676,RSP); 
	p_hist_energia_prod_insert(18,'01/09/2010',6620,RSP);
	p_hist_energia_prod_insert(19,'01/09/2010',505,RSP); 
	p_hist_energia_prod_insert(20,'01/09/2010',1746,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/10/2010',5573,RSP); 
	p_hist_energia_prod_insert(2,'01/10/2010',4494,RSP);
	p_hist_energia_prod_insert(3,'01/10/2010',1383,RSP); 
	p_hist_energia_prod_insert(4,'01/10/2010',9798,RSP);
	p_hist_energia_prod_insert(5,'01/10/2010',8901,RSP); 
	p_hist_energia_prod_insert(6,'01/10/2010',5971,RSP);
	p_hist_energia_prod_insert(7,'01/10/2010',4247,RSP); 
	p_hist_energia_prod_insert(8,'01/10/2010',7722,RSP);
	p_hist_energia_prod_insert(9,'01/10/2010',3576,RSP); 
	p_hist_energia_prod_insert(10,'01/10/2010',1543,RSP);
	p_hist_energia_prod_insert(11,'01/10/2010',2308,RSP); 
	p_hist_energia_prod_insert(12,'01/10/2010',5904,RSP);
	p_hist_energia_prod_insert(13,'01/10/2010',49,RSP); 
	p_hist_energia_prod_insert(14,'01/10/2010',5180,RSP);
	p_hist_energia_prod_insert(15,'01/10/2010',2018,RSP); 
	p_hist_energia_prod_insert(16,'01/10/2010',8883,RSP);
	p_hist_energia_prod_insert(17,'01/10/2010',6347,RSP); 
	p_hist_energia_prod_insert(18,'01/10/2010',3463,RSP);
	p_hist_energia_prod_insert(19,'01/10/2010',8009,RSP); 
	p_hist_energia_prod_insert(20,'01/10/2010',965,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/11/2010',2648,RSP); 
	p_hist_energia_prod_insert(2,'01/11/2010',9334,RSP);
	p_hist_energia_prod_insert(3,'01/11/2010',8552,RSP); 
	p_hist_energia_prod_insert(4,'01/11/2010',9977,RSP);
	p_hist_energia_prod_insert(5,'01/11/2010',4003,RSP); 
	p_hist_energia_prod_insert(6,'01/11/2010',2891,RSP);
	p_hist_energia_prod_insert(7,'01/11/2010',3111,RSP); 
	p_hist_energia_prod_insert(8,'01/11/2010',1467,RSP);
	p_hist_energia_prod_insert(9,'01/11/2010',3782,RSP); 
	p_hist_energia_prod_insert(10,'01/11/2010',9507,RSP);
	p_hist_energia_prod_insert(11,'01/11/2010',6180,RSP); 
	p_hist_energia_prod_insert(12,'01/11/2010',5419,RSP);
	p_hist_energia_prod_insert(13,'01/11/2010',5874,RSP); 
	p_hist_energia_prod_insert(14,'01/11/2010',2284,RSP);
	p_hist_energia_prod_insert(15,'01/11/2010',1956,RSP); 
	p_hist_energia_prod_insert(16,'01/11/2010',5915,RSP);
	p_hist_energia_prod_insert(17,'01/11/2010',229,RSP); 
	p_hist_energia_prod_insert(18,'01/11/2010',2326,RSP);
	p_hist_energia_prod_insert(19,'01/11/2010',1960,RSP); 
	p_hist_energia_prod_insert(20,'01/11/2010',635,RSP);

	--
	
	p_hist_energia_prod_insert(1,'01/12/2010',5127,RSP); 
	p_hist_energia_prod_insert(2,'01/12/2010',6210,RSP);
	p_hist_energia_prod_insert(3,'01/12/2010',4520,RSP); 
	p_hist_energia_prod_insert(4,'01/12/2010',3545,RSP);
	p_hist_energia_prod_insert(5,'01/12/2010',3454,RSP); 
	p_hist_energia_prod_insert(6,'01/12/2010',4376,RSP);
	p_hist_energia_prod_insert(7,'01/12/2010',8587,RSP); 
	p_hist_energia_prod_insert(8,'01/12/2010',9121,RSP);
	p_hist_energia_prod_insert(9,'01/12/2010',9433,RSP); 
	p_hist_energia_prod_insert(10,'01/12/2010',8738,RSP);
	p_hist_energia_prod_insert(11,'01/12/2010',996,RSP); 
	p_hist_energia_prod_insert(12,'01/12/2010',9027,RSP);
	p_hist_energia_prod_insert(13,'01/12/2010',8535,RSP); 
	p_hist_energia_prod_insert(14,'01/12/2010',6355,RSP);
	p_hist_energia_prod_insert(15,'01/12/2010',7087,RSP); 
	p_hist_energia_prod_insert(16,'01/12/2010',1105,RSP);
	p_hist_energia_prod_insert(17,'01/12/2010',9768,RSP); 
	p_hist_energia_prod_insert(18,'01/12/2010',1414,RSP);
	p_hist_energia_prod_insert(19,'01/12/2010',4775,RSP); 
	p_hist_energia_prod_insert(20,'01/12/2010',3660,RSP);

	
	commit;
END;
/
